## org.hibernate.ejb.metamodel
Class MetamodelImpl

    java.lang.Object
      org.hibernate.ejb.metamodel.MetamodelImpl

All Implemented Interfaces:
  Serializable, Metamodel

    public class MetamodelImpl

extends Object
implements Metamodel, Serializable

Hibernate implementation of the JPA `Metamodel` contract.

See Also:
  Serialized Form

Method Summary
`static MetamodelImpl` `buildMetamodel(Iterator<PersistentClass> persistentClasses, SessionFactoryImplementor sessionFactory)` Deprecated. use `buildMetamodel(java.util.Iterator,org.hibernate.engine.spi.SessionFactoryImplementor,boolean)` instead
`static MetamodelImpl` `buildMetamodel(Iterator<PersistentClass> persistentClasses, SessionFactoryImplementor sessionFactory, boolean ignoreUnsupported)` Build the metamodel using the information from the collection of Hibernate `PersistentClass` models as well as the Hibernate `SessionFactory`.

`

`<X> EmbeddableType<X>`

`

`embeddable(Class<X> cls)`

`

`<X> EntityType<X>`

`

`entity(Class<X> cls)`

`Set<EmbeddableType<?>>` `getEmbeddables()`
`Set<EntityType<?>>` `getEntities()`
`Set<ManagedType<?>>` `getManagedTypes()`

`

`<X> ManagedType<X>`

`

`managedType(Class<X> cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildMetamodel

    @Deprecated
    public static MetamodelImpl buildMetamodel(Iterator<PersistentClass> persistentClasses,
                                                          SessionFactoryImplementor sessionFactory)

  Deprecated. use `buildMetamodel(java.util.Iterator,org.hibernate.engine.spi.SessionFactoryImplementor,boolean)` instead

  Build the metamodel using the information from the collection of Hibernate `PersistentClass` models as well as the Hibernate `SessionFactory`.

  Parameters:
    `persistentClasses` - Iterator over the Hibernate (config-time) metamodel
    `sessionFactory` - The Hibernate session factory.
  Returns:
    The built metamodel

### buildMetamodel

    public static MetamodelImpl buildMetamodel(Iterator<PersistentClass> persistentClasses,
                                               SessionFactoryImplementor sessionFactory,
                                               boolean ignoreUnsupported)

  Build the metamodel using the information from the collection of Hibernate `PersistentClass` models as well as the Hibernate `SessionFactory`.

  Parameters:
    `persistentClasses` - Iterator over the Hibernate (config-time) metamodel
    `sessionFactory` - The Hibernate session factory.
    `ignoreUnsupported` - ignore unsupported/unknown annotations (like @Any)
  Returns:
    The built metamodel

### entity

    public <X> EntityType<X> entity(Class<X> cls)

  Specified by:
    `entity` in interface `Metamodel`

### managedType

    public <X> ManagedType<X> managedType(Class<X> cls)

  Specified by:
    `managedType` in interface `Metamodel`

### embeddable

    public <X> EmbeddableType<X> embeddable(Class<X> cls)

  Specified by:
    `embeddable` in interface `Metamodel`

### getManagedTypes

    public Set<ManagedType<?>> getManagedTypes()

  Specified by:
    `getManagedTypes` in interface `Metamodel`

### getEntities

    public Set<EntityType<?>> getEntities()

  Specified by:
    `getEntities` in interface `Metamodel`

### getEmbeddables

    public Set<EmbeddableType<?>> getEmbeddables()

  Specified by:
    `getEmbeddables` in interface `Metamodel`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.